Subject: RE: MIPv6 and ND value changes

From: "Bound, Jim" <[email-masked]>
Date: Mon, 18 Nov 2002 21:51:30 -0500

Erik,

Come on.  You can't implement or understand MIPv6 if you don't have ND
down.  It is not even possible. 
The engineers in MIPv6 are clearly qualified to work to enhance ND.

I don't believe moving it to separate spec will make it more
implementable at all.  MIPv6 is no longer a MUST.

All your doiung with this support is holding up MIPv6 again.  That's
all. Adding no value.

/jim
[Honor, Commitment, Integrity]

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: Monday, November 18, 2002 9:35 PM
> To: Pekka Savola
> Cc: [email-masked]
> Subject: Re: MIPv6 and ND value changes
> 
> 
> > FWIW, I fully support Thomas Narten on his view that MIPv6 
> should not 
> > be
> > making all of these assumptions to e.g. Neighbor Discovery 
> timer values.
> 
> I think this makes sense as well. Let me try to state my reasons.
> 
> Even though I think the current ND changes in the MIPv6 spec 
> make sense, I'm concerned that implementors for IPv6 routers, 
> which don't otherwise implement MIPv6, will find these pieces 
> deep inside the MIPv6 specification. I think these things are 
> more likely to be widely implemented if they live in a 
> separate and shorter RFC. Also, we are likely to discover 
> additional optimizations that might help with mobility and 
> having a set of small specific extensions and/or 
> modifications around ND or other protocols seems like a 
> quicker way to make progress on these things.
> 
> So while I don't want to slow down the MIPv6 specification or 
> the implementation and deployment, I think breaking out these 
> pieces will help with specification and protocol modularity, 
> which makes it easier and quicker to revise the 
> specifications along the standards track etc.
> 
>    Erik
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 19 Nov 2002 04:00:40 +0100 (CET)

> Come on.  You can't implement or understand MIPv6 if you don't have ND down.
> It is not even possible. 

I think I can implement MIPv6 just fine without section 7.5, 7.6, and 7.7
in the MIPv6 draft. After all, I'll have 149-3 pages to implement.

Having those sections separate makes it easier to add more 
ND optimizations for Mobile IPv6 as we learn more.
I don't want people that work out e.g. an optimistic DAD scheme to have
to stick that into the MIPv6 document just because the MIPv6 document
talks about DAD.

> I don't believe moving it to separate spec will make it more implementable
> at all.  MIPv6 is no longer a MUST.

I don't understand your point. This issue is not about implementing
the 146 pages in routers; the issue is to get routers to implement
the 3 pages of ND changes that improve the performance of movement detection.

   Erik